%global srcversion 0.0.1
%global prerel a12

# The documentation and tests need furo.  But to build furo at all, we need
# this package.
%bcond_without bootstrap

Name:           python-sphinx-basic-ng
Version:        %{srcversion}%{?prerel:~%{prerel}}
Release:        1%{?dist}.45
Summary:        Modernized skeleton for Sphinx themes

License:        MIT
URL:            https://sphinx-basic-ng.readthedocs.io/
Source0:        https://github.com/pradyunsg/sphinx-basic-ng/archive/%{srcversion}%{?prerel:.%{prerel}}/sphinx-basic-ng-%{srcversion}%{?prerel:.%{prerel}}.tar.gz
# Fix a sphinx import error
Patch0:         %{name}-sphinx.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(wheel)

%if %{without bootstrap}
BuildRequires:  python-sphinx-doc
BuildRequires:  python3-docs
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(ipython)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinx-copybutton)
BuildRequires:  python3dist(sphinx-inline-tabs)
%endif

%global _description A modernized skeleton for Sphinx themes.

%description
%_description

%package     -n python3-sphinx-basic-ng
Summary:        Modernized skeleton for Sphinx themes

%description -n python3-sphinx-basic-ng
%_description

%if %{without bootstrap}
%package        doc
Summary:        Documentation for %{name}
# This project is MIT.  Other files bundled with the documentation have the
# following licenses:
# - searchindex.js: MIT
# - _static/basic.css: BSD-2-Clause
# - _static/clipboard.min.js: MIT
# - _static/copy*: MIT
# - _static/doctools.js: BSD-2-Clause
# - _static/jquery*.js: MIT
# - _static/language_data.js: BSD-2-Clause
# - _static/pygments.css: BSD-2-Clause
# - _static/scripts/*: MIT
# - _static/searchtools.js: BSD-2-Clause
# - _static/styles/*: MIT
# - _static/underscore*.js: MIT
License:        MIT AND BSD-2-Clause

%description    doc
Documentation for %{name}.
%endif

%prep
%autosetup -n sphinx-basic-ng-%{srcversion}%{?prerel:.%{prerel}} -p1

%build
%pyproject_wheel

%if %{without bootstrap}
# Build documentation
PYTHONPATH=$PWD/src sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files sphinx_basic_ng

%check
# The nox tests require network access, so we do not run them
%pyproject_check_import

%files -n python3-sphinx-basic-ng -f %{pyproject_files}
%doc README.md

%if %{without bootstrap}
%files doc
%doc html
%license LICENSE
%endif

%changelog
* Wed Sep 28 2022 Oleg Girko <ol@infoserver.lv> - 0.0.1~a12-1
- Don't use macros in BuildRequires
- Require pyproject-rpm-macros explicitly for build
- Move prerel tag from release to version
- Turn on bootstrap mode
* Thu Aug 25 2022 Jerry James <loganjerry@gmail.com> - 0.0.1-0.1.a12
- Initial RPM
